[SpringBoot/KotlinでBFF]Spring BootでREST-API用プロジェクト作成 失敗 Javaのバージョンが古い

Spring InitializrでJava11とJava14を選んでプロジェクト作ってビルドしてみたら両方とも以下のエラーが出て失敗した。

Error: A JNI error has occurred, please check your installation and try again

Process ‘command ‘/Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Home/bin/java” finished with non-zero exit value 1

Macに入ってるJavaのバージョンが指定したものより古いと発生する。

Macに入ってるJavaのバージョンは1.8.0_45だった。

対策

IntelliJの設定でJDKをダウンロードできたのでJDK14をインストールしたら無事ビルドに成功

https://pleiades.io/help/idea/configure-modules.html#module-sdk

File -> Project Structure -> Project Settings -> Project -> Project SDK pulldown -> Add SDK -> Download JDK

コメントを残す

メールアドレスが公開されることはありません。

ABOUT US
little
15年以上プログラマーをしているエンジニアです。Kotlin, Java, Python, C++を使用したServerSideの開発に携わってきました。とりあえずやってみるスタイルで記事を更新していきます。